ROHTO BUGS - Bug #1942

[Performance Management Review 4] - Validasi Weight
01/18/2023 03:25 PM - Fiona Avangeline Jonathan

Status: Closed Start date: 01/18/2023
Priority: Immediate Due date:

Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.50 hours
Description

Mas Azid,

Mohon dibantu untuk validasi weight Responsible di Review 4 belum jalan.

Responsible Description Waight
Ferform wo operate and up dave HRIS regularly 50

2 Ensure all branches (promaotar team and sakes force) know and undarstand about SOF 5PG 20

3 Running S0P SPG compliance 1&

4 Maintain benefit, reward and business trip administration 20

Terima kasih.

Port: http://remote.minovais.com:51121/
DB: remote.minovais.com,1445 | MinovaES_Rohto_Prod

History

#1 - 01/18/2023 03:25 PM - Fiona Avangeline Jonathan

- Subject changed from [Performance Management] - Validasi Weight to [Performance Management Review 4] - Validasi Weight

#2 - 01/18/2023 03:43 PM - Fiona Avangeline Jonathan
- Project changed from CLIENT SUPPORT to ROHTO BUGS

#3 - 01/18/2023 06:36 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan

dear fiona udah bisa di test ya

package :
- Bizproc (beforesubmit)

debugger;

var isSubmit = 1;

var taskID = MinovaUtil. WORKFLOW.getTaskld();
if (taskID 'start’ || taskID 'create’ || taskID ==") {

var StoreAppraiser = Ext.StoreManager.lookup ('storePHRPAOO48ESS_3"');
var Appraiserlen = StoreAppraiser.getCount ();
var AppraiserWeightsum = O;
var AppraiserQualsum = 0;
for (var i = 0; i < Appraiserlen; i++) {
AppraiserWeightsum = AppraiserWeightsum + Number (Math.round (StoreAppraiser.getRange () [i].get ('KPIWeigh
t_48_3') + 'e2') + 'e-2");
AppraiserQualsum = AppraiserQualsum + Number (Math.round(StoreAppraiser.getRange () [i].get ('Qualificatio
nWeight_48_3') + 'e2') + 'e-2");
}
if (AppraiserWeightsum != '100' || AppraiserQualsum != '100"' ) {
MinovaMessageError ("Error", "VAL1OOKPI", "");
isSubmit = 0;

var RESPONKPI = Ext.StoreManager.lookup ('storeCRESPONKPI_3"');

var RESPONKPIlen = RESPONKPI.getCount () ;
var ARESPONKPIsum 0;
for (var i = 0; 1 RESPONKPIlen; i++) {

A

ARESPONKPIsum = ARESPONKPIsum + Number (Math.round (RESPONKPI.getRange () [i].get ('Responweight_3') + 'e2'

) + 'e=2");
}
if (ARESPONKPIsum != '100") {
MinovaMessageError ("Error", "VALIOOKPI", "");
isSubmit = 0;
}
}
if (isSubmit === 1) {
submit () ;
}
makasih

#4 - 01/19/2023 09:21 AM - Fiona Avangeline Jonathan
- Status changed from QA Test to Closed

Done, terima kasih.
